Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.common
Interface PortletResourceURLFactory

public interface PortletResourceURLFactory

A PortletResourceURLFactory can be used to generate an url for direct rendering of a Portlet, comparable (but more limited) to what Portlet 2.0 (likely) is going to provide when it introduces ResourceURLs.

In a Portlet API 1.0 environment one is required to use portal specific extensions for directly rendering a Portlet.

This interface can be implemented by portals which provide this type of extension to allow portal agnostic usage of it. Implementation classsz are required to provide a default constructor and only depend on the parameters provided on the `createResourceURL` method.

It is expected that portals will implement this interface as a RenderURL.

Note: this interface will be defined obsolete as soon as Portlet API 2.0 is available and this functionality then is provided natively.

Version:
  $Id: PortletResourceURLFactory.java 543153 2007-05-31 15:11:49Z ate $
Author:
  Ate Douma

Method Summary
`String` | `createResourceURL(javax.portlet.PortletConfig config, javax.portlet.RenderRequest request, javax.portlet.RenderResponse response, Map parameters)`

Method Detail

### createResourceURL

    public String createResourceURL(javax.portlet.PortletConfig config,
                                    javax.portlet.RenderRequest request,
                                    javax.portlet.RenderResponse response,
                                    Map parameters)
                             throws javax.portlet.PortletException

  Throws:
    `javax.portlet.PortletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.